/*** GENERAL EASING ***/
.creative-eased, 
.creative-eased .list-item, 
.creative-eased a,
.creative-tab-button {
    transition: all linear 0.1s;
    cursor: pointer;
}

/*** BOLD ***/
strong {
    font-family: 'Open Sans Bold'!important;
    font-weight: regular;
}

/*** REGISTRATION COUNTDOWN ***/
.reg-days,
.reg-hours,
.reg-minutes,
.reg-seconds,
.reg-countdown {
    clear: both;
}

/*** BLENDING ***/
.deloitte-mask {
    mix-blend-mode: multiply;
}

/*** COVER BLOCK CROSSFADE ***/
body:not(.finetune) .deloitte-crossfade {
    opacity: 0;
    animation: crossfade 9s infinite linear;
}

body:not(.finetune) .deloitte-crossfade:nth-of-type(3) {
    animation-delay: 0s; 
}

body:not(.finetune) .deloitte-crossfade:nth-of-type(1) {
    animation-delay: 3s;
}

body:not(.finetune) .deloitte-crossfade:nth-of-type(2) {
    animation-delay: 6s; 
}

@keyframes crossfade {
    0% {
        opacity: 0;
    }
    11% { 
        opacity: 1;
    }
    33% { 
        opacity: 1;
    }
    44% { 
        opacity: 0;
    }
    100% {
        opacity: 0;
    }
}

/*** HERO ANIMATIONS ***/
body:not(.finetune) .deloitte-loading {
    animation: fadeIn 1.5s ease forwards;
    opacity: 0;
}

body:not(.finetune) .deloitte-delay-1 {
    animation-delay: 1s;
}

body:not(.finetune) .deloitte-delay-2 {
    animation-delay: 1.1s;
}

body:not(.finetune) .deloitte-delay-3 {
    animation-delay: 1.2s;
}

body:not(.finetune) .deloitte-delay-4 {
    animation-delay: 1.3s;
}

body:not(.finetune) .deloitte-delay-5 {
    animation-delay: 1.4s;
}

body:not(.finetune) .deloitte-delay-6 {
    animation-delay: 1.5s;
}

body:not(.finetune) .deloitte-delay-7 {
    animation-delay: 1.6s;
}

body:not(.finetune) .deloitte-delay-8 {
    animation-delay: 1.7s;
}

body:not(.finetune) .deloitte-delay-9 {
    animation-delay: 1.8s;
}

body:not(.finetune) .deloitte-delay-10 {
    animation-delay: 3s;
}

body:not(.finetune) .deloitte-delay-cover {
    animation-delay: 6s!important;
}

@keyframes fadeIn {
    100% { 
        opacity: 1; 
    }
}

@keyframes safari-force-repaint {
    0% { opacity: 1; }
    100% { opacity: 0.99; }
}

/* 1. Force hardware acceleration on the masked element */
body:not(.finetune) .deloitte-masked {
    -webkit-mask: url(#deloitte-dynamic-mask) no-repeat center / contain;
    mask: url(#deloitte-dynamic-mask) no-repeat center / contain;
    -webkit-transform: translateZ(0); 
    transform: translateZ(0);
    /*will-change: mask, -webkit-mask, transform;*/
    -webkit-perspective: 1000;
    perspective: 1000;
    backface-visibility: hidden;
    animation: safari-force-repaint 0.1s infinite;
    
    will-change: mask, -webkit-mask;
    -webkit-backface-visibility: hidden;
}

/* 2. Iris Animation: Scale instead of Radius */
body:not(.finetune) .m-iris {
    transform: translateX(0) scale(0); 
    transform-origin: 0.5px 0.5px; 
    transition: transform 1.5s cubic-bezier(0.4, 0, 0.2, 1);
    transform-box: view-box; 
}

/* Phase 1: Grow the circle */
body:not(.finetune) #deloitte-dynamic-mask.reveal-active .m-iris {
    transform: translateX(0) scale(1);
}

 /*Phase 2: Slide the circle to the right */
body:not(.finetune) #deloitte-dynamic-mask.slide-active .m-iris {
    transform: translateX(21.5%) scale(1);
}

/* 3. Path Animations */
body:not(.finetune) .m-half, 
body:not(.finetune) .m-quarter {
    opacity: 0;
    transition: opacity 0.5s ease, transform 1.5s cubic-bezier(0.4, 0, 0.2, 1);
    transform-box: fill-box;
    -webkit-transform-origin: 50% 50%;
    transform-origin: 50% 50%;
    /*transform-origin: center;*/
}

body:not(.finetune) .m-half { transform: translateX(50%); }
body:not(.finetune) .m-quarter { transform: translateX(150%); }

body:not(.finetune) #deloitte-dynamic-mask.slide-active .m-half,
body:not(.finetune) #deloitte-dynamic-mask.slide-active .m-quarter {
    opacity: 1 !important;
    transform: translateX(0) !important;
}


/*** TABBED INTERFACE ***/
body:not(.finetune) .creative-tab-item {
    display: none!important;
}

body:not(.finetune) .creative-tab-item.creative-active-tab-item {
    display: block!important;
    animation: animateIn .75s forwards ease;
}

.deloitte-agenda .creative-active-tab-button {
    color: #FFFFFF!important;
    background-color: rgb(38, 137, 13)!important;
    border: 1px solid rgb(38, 137, 13)!important;
}

.deloitte-speaker-tabs .creative-active-tab-button {
    color: #FFFFFF!important;
    border-bottom: 1px solid #FFFFFF!important;
}

body:not(.finetune) .creative-tab-detached .creative-active-tab-button {
    pointer-events: none!important;
}

/*** TAB ANIMATION ***/
@keyframes animateIn{
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

/*** SPEAKERS ***/
body:not(.finetune) .deloitte-speakers {
    overflow: hidden; 
    height: 100%;
    cursor: pointer;
}

body:not(.finetune) .deloitte-bio {
    position: absolute!important;
    top: 0!important;
    left: 0!important;
    height: 100%!important;
    opacity: 0;
    visibility: hidden;
    transition: transform 0.4s ease, opacity 0.4s ease, visibility 0.4s;
    overflow-y: auto!important;
    scrollbar-width: none; 
    -ms-overflow-style: none;
    z-index: 10;
}

/* Hide scrollbars for Chrome, Safari, and Opera */
body:not(.finetune) .deloitte-bio::-webkit-scrollbar {
    display: none;
}

body:not(.finetune) .deloitte-speakers:hover .deloitte-bio {
    visibility: visible!important;
    opacity: 1!important;
}

/*** SCROLL-TRIGGERED ANIMATIONS ***/
body:not(.finetune) .creative-scroll {
    opacity: 0;
    transition: opacity 1s ease-out;
}
 
body:not(.finetune) .creative-scroll.scrolled {
    opacity: 1;
}

body:not(.finetune) .back-to-top {
    opacity: 0;
}

body:not(.finetune) .back-to-top.visible {
    opacity: 1;
}

body:not(.finetune) .deloitte-fixed-background {
    position: fixed!important;
    opacity: 0;
    animation: maskFadeIn 1.2s ease-out 5s forwards;
}

@keyframes maskFadeIn {
    from { opacity: 0; }
    to { opacity: .7; }
}

/*** KEYFRAME ANIMATIONS ***/
body:not(.finetune) .deloitte-keynote {
    opacity: 1;
    transform: scale(0.1);
    pointer-events: none;
    animation: growFade 4s linear infinite;
}

body:not(.finetune) .deloitte-delay-1 {
    animation-delay: 0.5s;
}

body:not(.finetune) .deloitte-delay-2 {
    animation-delay: 1s;
}

@keyframes growFade {
    0% { 
        opacity: 1; 
        transform: scale(0.1); 
    }
    80% { 
        opacity: 1; 
        transform: scale(1.2); 
    }
    100% { 
        opacity: 0; 
        transform: scale(1.5); 
    }
}


/*** GRADIENTS ***/
body:not(.finetune) .deloitte-text-gradient p,
body:not(.finetune) .deloitte-text-gradient .date-year-end {
    background-image: linear-gradient(to right, #3FC3EC, #86EB22); 
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    color: transparent!important; 
    width: auto;
    float: left;
    padding-bottom: 1px;
}

/*** HOVERS ***/
body:not(.finetune) .deloitte-keynotes {
    transform: scale(1);
    transition: all .2s ease-in-out;
    cursor: pointer;
}

body:not(.finetune) .deloitte-keynotes:hover {
    transform: scale(1.2);
}


/*** STICKY POSITIONING ***/
#splash-container, #main-canvas { 
    overflow: clip !important; 
}

.deloitte-sticky {
    position: -webkit-sticky!important;
    position: sticky!important;
    top: 5.4375rem!important;
}

/*** CAROUSELS ***/
body:not(.finetune) .carousel {  
    overflow: hidden!important;  
}  
  
body:not(.finetune) .carousel-track {  
    display: flex !important; 
    float: none !important;    
    width: auto !important;
    align-items: flex-start;
    flex-direction: row;
    will-change: transform;
    transition: transform 0.3s ease; 
}  
  
body:not(.finetune) .carousel-slide { 
    flex: 0 0 100%!important;
    box-sizing: border-box!important;  
    display: block !important; 
    max-width: 100%;
    height: auto!important;
}

.no-transition {
    transition: none !important;
}

body.finetune .carousel {
    overflow: visible !important;
    height: auto !important;
}
body.finetune .carousel-track {
    display: block !important; /* Stack them vertically */
    transform: none !important; /* Stop the JS from moving them */
}

/*** MODALS ***/
body:not(.finetune) .deloitte-modal  {
    opacity: 0;
}

body:not(.finetune) .deloitte-modal.is-showing  {
    animation: fadeIn 0.4s linear forwards;
}

/*** COUNTDOWN ***/
.deloitte-overlay {
    backdrop-filter: blur(15px);
    -webkit-backdrop-filter: blur(15px);
    background: linear-gradient(90deg, rgba(4, 106, 56, 0.3), rgba(13, 131, 144, 0.3))!important;
}

/* LIGHTBOX */
body:not(.finetune) .deloitte-gallery .dope-repeatable-child,
body:not(.finetune) #close-button {
    transition: all linear 0.5s;
    cursor: pointer;
}

body:not(.finetune) .lightbox-image {
    max-width: 1000px;
    max-height: 80vh;
}

body:not(.finetune) #close-button {
    position: fixed;
    top: 3rem;
    right: 3rem;
    color: #fff;
    font-size: 5rem;
}

body:not(.finetune) #close-button:hover {
    opacity: 0.6;
}

/*** FORM ***/
.SuiField--dropdown g {
    fill: #FFFFFF;
}

.SuiCheckbox__indicator g {
    fill: #000000;
}

.SuiRadioIndicator__radio {
    background-color: rgba(0, 0, 0, 0)!important;
}

/*** FOOTER LINKS ***/
.deloitte-footer .cms-block-type-button,
.deloitte-footer p a {
    transition: all linear 0.1s;
}


/*** MEDIA QUERIES ***/
@media screen and (max-width: 1200px) {
    .deloitte-speakers { width: 25%!important; }
    .deloitte-title { font-size: 4.6875rem!important; }
    .deloitte-subtitle { font-size: 2.3125rem!important; }
    .deloitte-venue { border-right-width: 1px!important; border-bottom-width: 0px!important; }
    .deloitte-date-row { width: 100%!important; }
}

@media screen and (max-width: 800px) {
    .deloitte-sticky { top: 4.5rem!important; }
}

@media screen and (max-width: 667px) {
    .deloitte-sticky { top: 4rem!important; }
}

@media (prefers-reduced-motion: reduce) { 
    .plus-minus p:before, 
    .creative-accordion, 
    .creative-accordion .accordion-toggle p {
        -webkit-transition: none;
        transition: none; 
    }
}